{% extends "transport/base.html" %}
{% load client_utils transport_utils %}

{% block title %}Client transport: {{ client }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ client }}</li>
{% endblock %}

{% block content %}
    <h2>{{ client.noms }} {{ client.prenoms }} {% services_as_icons client current_app 'p-2' %}</h2>

    {% if client %}
      {% include 'transport/client_tabs.html' with active='general' readonly=form.readonly %}
    {% endif %}

    {% if client.date_deces %}
    <div class="alert alert-danger mt-2 p-2 d-flex justify-content-between">
        <p class="mb-0 align-self-center">
            Personne décédée le {{ client.date_deces|date:'d.m.Y' }}.
        </p>
    </div>
    {% endif %}

    <div class="row">
        <div class="col d-flex justify-content-between">
            <div>{{ client.rue }}
                 {% if not client.empl_geo %}
                    <img class="icon align-top" src="{% static 'img/warning.svg' %}"
                         title="Cette personne n’a pas pu être géolocalisée" data-bs-toggle="tooltip">
                 {% endif %}
            </div>
            <div>{{ client.npa }} {{ client.localite }}</div>
            <div class="tels">{{ client.tel_1|as_tel }} {% if client.tel_2 %}<br>{{ client.tel_2|as_tel }}{% endif %}</div>
            {% if client.date_naissance %}
            <div>{{ client.date_naissance|date:'d.m.Y' }} ({{ client.age|to_int }} ans)</div>
            {% endif %}
        </div>
    </div>
    {% if client.remarques_ext or client.remarques_int_transport %}
    <div class="fst-italic">
        {% if client.remarques_ext %}{{ client.remarques_ext|linebreaksbr }}<br>{% endif %}
        {{ client.remarques_int_transport|linebreaksbr }}
    </div>
    {% endif %}

    {% bandeau_absence client.presence_actuelle %}

    <div class="row mt-3 pt-2 border-top">
        <div class="col-3 fw-bold">Préferences/incompatibilités :</div>
        <div class="col-6">
            {% for pref in preferences %}
                <div>
                    {{ pref.get_typ_display }}: {{ pref.chauffeur }}{% if pref.remarque %}, {{ pref.remarque }}{% endif %}
                    <a href="{% url 'transport-client-editpref' client.pk pref.pk %}" class="openmodal" title="Modifier"
                       data-deleteurl="{% url 'transport-client-deletepref' pref.pk %}"
                       data-deleteconfirm="Souhaitez-vous vraiment supprimer ce lien client-chauffeur ?">
                        <img class="small-icon" src="{% static 'img/edit.svg' %}">
                    </a>
                </div>
            {% empty %}<div class="fst-italic">Aucune</div>
            {% endfor %}
            <a href="{% url 'transport-client-newpref' client.pk %}" type="button" class="btn btn-sm btn-outline-primary openmodal">+</a>
        </div>
        <div class="col-3">
            {% if client.handicaps %}{{ client.get_handicaps_display }}{% endif %}
        </div>
    </div>

    <div class="row mt-3 mb-1">
        <div class="col"><h4>Prochains transports</h4></div>
        <div class="col text-end">
            <a href="{% url 'gestion' %}" class="btn btn-secondary">Gestion des transports</a>
            <a href="{% url 'transport-saisie' %}?client={{ client.pk }}" class="btn btn-primary">Saisir un transport…</a>
        </div>
    </div>
    {% for transp in prochains_transports %}
        {% if forloop.first %}
        <table class="table transport_list">
            <thead>
                <tr><th>Date</th><th>Départ</th><th>Rdv</th><th>Retour</th><th></th><th>Destination</th><th>Chauffeur</th><th>Statut</th><th></th></tr>
            </thead>
        {% endif %}
        {% transport_line transp 'statut,-client,chauffeur' %}
        {% if forloop.last %}</table>{% endif %}
    {% empty %}<i>Aucun transport planifié</i>
    {% endfor %}

{% endblock %}
